#!/bin/bash
# usage: trigger-reset [ 0 | 1 ]
# This will add message that dmesg will report and
# will trigger a TV usb-reset



n=$1
echo "n=$n"
TARGET=/dev/kmsg
message=( "send_usb_command: failed with status" "xhci_hcd 0000:00:14.0: ERROR")

if [[  $n == "0" ]] || [[ $n == "1" ]] ; then
	# Add message to dmesg
	echo  ${message["$n"]} | sudo tee -a $TARGET
	dmesg | tail -n 20

else

	echo "Script only accepts '0' or '1' as arguemnt, now exiting"
	exit 1
fi
