#!/bin/bash

#printf "Checking for USB Failures.......\n"

LOG_FILE="/data/logs/tv_stats.log"

USB_DEV=$(lsusb -t | grep "Driver=hub/4p")
TOKENS=($USB_DEV)
DEV_NUM=${TOKENS[4]}
DEV_NUM="${DEV_NUM%,}"
#print padded value to variable
printf -v DEV_NUM "%03d" "$DEV_NUM"
logger "USB device reported"
printf "/dev/bus/usb/001/%s" "$DEV_NUM"
exit 0
