#!/bin/bash

#printf "Checking for USB Failures.......\n"

LOG_FILE="/data/logs/tv_stats.log"

RESET="$(sudo dmesg -c | grep -e  "send_usb_command: failed with status" -e "xhci_hcd 0000:00:14.0: ERROR" -e "cx231xx.*urb.*error" )"

if [ -z "$RESET" ]
#&& [ -z "$HUB_FAIL" ]
then
   printf "no"
   exit 0
else
#    if [ ! -z "$HUB_FAIL" ]
#    then
#	logger "Unbinding Driver for Root Hub"
#    	echo "1-0:1.0" | sudo tee /sys/bus/usb/drivers/hub/unbind > /dev/null 2>&1
#	sleep 5
#	logger "Binding Driver for Root Hub"
#	echo "1-0:1.0" | sudo tee /sys/bus/usb/drivers/hub/bind > /dev/null 2>&1
#	sleep 5
#    fi
    #printf "USB Reset Required\n"
    USB_DEV=$(lsusb -t | grep "Driver=hub/4p")
    TOKENS=($USB_DEV)
    DEV_NUM=${TOKENS[4]}
    DEV_NUM="${DEV_NUM%,}"
    #print padded value to variable
    printf -v DEV_NUM "%03d" "$DEV_NUM"
    #print reset path to file
    #printf > ~/usbreset_path
    #ultimately need to add the path printout but it cannot handle it right now
    #printf "/sys/bus/\n" "$DEV_NUM"
    logger "USB RESET NEEDED"
    #printf "yes\n"
    printf "/dev/bus/usb/001/%s" "$DEV_NUM"
    exit 0
fi
